set log_rotation_size when enabling log_min_duration_statement for PostgreSQL
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1770646

Description of problem:

BZ#1749233 is going to set log_min_duration_statement=1000 for PostgreSQL by default. However, this has a possible side effect

on a large deployment where /var/lib/pgsql is mounted separately. The /var/lib/pgsql can be easily filled up

when slow queries are identified. For example, a slow query for selecting facts could consume a large space when there are many

facts on a host.

Expected results:

A reasonable log_rotation_size should be set to prevent /var/lib/pgsgl being filled up.

Associated revisions

Revision 6¢510313 - 12/13/2019 09:05 PM - Suresh Thirugnanasambandan

Fixes #28497: Add default log_rotation_size configuration for Postgres

History

#1 - 12/12/2019 07:23 PM - Suresh Thirugnanasambandan

- Assignee changed from Ewoud Kohl van Wijngaarden to Suresh Thirugnanasambandan

#2 - 12/12/2019 07:30 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/432 added

#3 - 12/13/2019 09:06 PM - The Foreman Bot
- Fixed in Releases 2.0.0 added

#4 - 12/13/2019 10:01 PM - Suresh Thirugnanasambandan
- Status changed from Ready For Testing to Closed

Applied in changeset installer|6¢51031394a361247eb8da7f0dd7b3ffabd88144.
